------------------------------------
-- VAF_TT_Ops --
------------------------------------
--[[
    INFO IN KNEEBOARD (RSHIFT+K)

Supplemental AWACS Information:
MAGIC Alt:  124 MHz AM
OVERLORD ALT: 125 MHz AM 

SUPPLIMENTAL CARRIER INFORMATION:
AIRBOSS Is Available.

LSO is on 266 MHz AM
MARSHAL is on 264 MHz AM

Hornet Presets
264: MANUAL
266: 20

Tomcat Presets (Both Radios)
264: 13
266: 14

]]--

-- Display mission time1
--SCHEDULER:New(nil, UTILS.DisplayMissionTime, {5}, 30, 30)
--env.info( '***##RECOVERY TANKER SCRIPT RUN##*** ' )
--assert(loadfile("X:\\<foldername>\\<foldername>\\<filename>")()
local CVN69_GRP = "CARSTRKGRU EISENHOWER"
local CVN69_NAME = "USS_Dwight_D_Eisenhower"
--local CVN69_TANKER = "Arco 1 Eisenhower"
--local CVN69_HELO = "Ike Rescue"
local CVN69 = UNIT:FindByName(CVN69_NAME)

--local CVN69_GRP = "EWR-Kuznetsov"
--local RU_NAME = "Kuznetsov"
--local CVN69_TANKER = "Arco 1 Eisenhower"
--local CVN69_HELO = "Ike Rescue"
--local RU = UNIT:FindByName(RU_NAME)

--local LHA1_GRP = "ARG Tarawa"
--local LHA1_NAME = "USS_Tarawa"
--local LHA1_TANKER = "S-3B ARCO" -- use "KC-130 Arco" and set airbase 
--local LHA1_TANKER_HOME = CVN69_NAME -- use AIRBASE.Caucasus.Sochi_Adler for KC-130
--local LHA1_HELO = "SAR HELO"
--local LHA1 = UNIT:FindByName(LHA1_NAME)



--local TANKER_START = 720
--local TANKER_VAR = 300
--local RESCUE_START = 120
--local RESCUE_VAR = 120

--Set carrier strike groups to patrol waypoints indefinitely. Once the last waypoint is reached, group will go back to first waypoint.
--env.info( '***##IKE PAT##*** ' )
--Set carrier strike groups to patrol waypoints indefinitely. Once the last waypoint is reached, group will go back to first waypoint and start over.
--CVN69:PatrolRoute()
--RU:PatrolRoute()

--env.info( '***##IKE RESCUE##*** ' )
--Rescue Helo @ USS Eisenhower spawned on deck hot.
--heloIke=RESCUEHELO:New(CVN69_NAME, CVN69_HELO)
--heloIke:SetModex(96)
--heloIke:Start()
--SCHEDULER:New(nil, function() 
--heloIke:Start()
--end, {}, RESCUE_START,0,RESCUE_VAR,RESCUE_START+RESCUE_VAR+1)

-- Rescue Helo @ USS Tarawa spawned in air.
--env.info( '***##TARAWA RESCUE##*** ' )
--heloTarawa=RESCUEHELO:New(LHA1_NAME, LHA1_HELO)
--heloTarawa:Start()
--SCHEDULER:New(nil, function() 
--    heloTarawa:Start()
--end, {}, RESCUE_START,0,RESCUE_VAR,RESCUE_START+RESCUE_VAR+1)

-- S-3B at USS Stennis spawning on deck.
--env.info( '***##IKE TANKER##*** ' )
--tankerIke=RECOVERYTANKER:New(CVN69, CVN69_TANKER)
--tankerIke:SetSpeed(253)
--tankerIke:SetAltitude(5000)
--tankerIke:SetTACAN(55,"ARC")
--tankerIke:SetModex(666)  -- "Pure Evil"
--tankerIke:SetRadio(262)
--SCHEDULER:New(nil, function() 
--    tankerIke:Start()
--end, {}, TANKER_START, 0, TANKER_VAR, TANKER_START+TANKER_VAR+1)

-- KC-130 at USS Tarawa.
--env.info( '***##TWA TANKER##*** ' )
--tankerTarawa=RECOVERYTANKER:New(LHA1, LHA1_TANKER)
--tankerTarawa:SetSpeed(253)
--tankerTarawa:SetAltitude(5000)
--tankerTarawa:SetTACAN(58,"AR2")
--tankerTarawa:SetHomeBase(AIRBASE.Caucasus.Kobuleti)
--tankerTarawa:SetModex(0)   -- "Triple nuts"
--tankerTarawa:SetRadio(257)
--SCHEDULER:New(nil, function() 
--    tankerTarawa:Start()
--end, {}, TANKER_START, 0, TANKER_VAR, TANKER_START+TANKER_VAR+1)


------------------------------------
-- VAF_TT_Ops --
------------------------------------

--Airboss for CVN69

airbossIke= AIRBOSS:New(CVN69_NAME,"IKE")
    :SetMenuSingleCarrier()
    :SetTACAN(1,"X","IKE")
    :SetICLS(5,"IKE")
    :SetMarshalRadio(266,"AM")
    :SetLSORadio(264,"AM")
    :SetSoundfilesFolder("Airboss Soundfiles/")
    :SetUserSoundRadio()
    :SetRadioRelayMarshal("MARSHAL RELAY HELO")
    :SetRadioRelayLSO("LSO RELAY HELO")
    :Start()

--    airbossTWA = AIRBOSS:New(LHA1_NAME, "Tarawa")
--    :SetTACAN(2,"X","TWA")
--    :SetICLS(10,"TWA")
--    :SetMarshalRadio(122.1,"AM")
--    :SetLSORadio(123.3,"AM")
--    :SetSoundfilesFolder("Airboss Soundfiles/")
--    :SetUserSoundRadio()
--    :SetDespawnOnEngineShutdown()
--    :SetRecoveryTanker(tankerIke)
--    :Start()

---------------------------------
--- Define LSO/Marshal Shifts ---
---------------------------------

-- Current shift.
-- local shift=math.random(1,5)

-- local function ChangeShift(airboss)
--   local airboss=airboss --Ops.Airboss#AIRBOSS

--   -- Next shift.
--   -- One cycle done. Next will be first shift.
--   shift=(shift+1)%5


--   -- Set sound folder and voice over timings. 
--   if shift==1 then
--     env.info("Starting LSO/Marshal Shift 1: LSO Raynor, Marshal Raynor")
--     airboss:SetVoiceOversLSOByRaynor()
--     airboss:SetVoiceOversMarshalByRaynor()
--   elseif shift==2 then
--     env.info("Starting LSO/Marshal Shift 2: LSO FF, Marshal Raynor")
--     airboss:SetVoiceOversLSOByFF("Airboss Soundpack LSO FF/")
--     airboss:SetVoiceOversMarshalByRaynor()  
--   elseif shift==3 then
--     env.info("Starting LSO/Marshal Shift 3: LSO Raynor, Marshal FF")
--     airboss:SetVoiceOversLSOByRaynor()
--     airboss:SetVoiceOversMarshalByFF("Airboss Soundpack Marshal FF/")
--   elseif shift==4 then
--     env.info("Starting LSO/Marshal Shift 4: LSO FF, Marshal FF")
--     airboss:SetVoiceOversLSOByFF("Airboss Soundpack LSO FF/")
--     airboss:SetVoiceOversMarshalByFF("Airboss Soundpack Marshal FF/")
--   end
 
-- end

-- -- Length of shift in minutes.
-- local L=30

-- -- Start shift scheduler to change shift every L minutes.
-- SCHEDULER:New(nil, ChangeShift, {airbossIke}, L*60, L*60)